<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.7.1/css/all.css"
    integrity="sha384-fnmOCqbTlWIlj8LyTjo7mOUStjsKC4pOpQbqyi7RrhN7udi9RwhKkMHpvLbHG9Sr" crossorigin="anonymous" />
  <meta http-equiv="X-UA-Compatible" content="ie=edge" />
  <title>Homework-buttons</title>
  <style>
    .password-form {
      display: flex;
      flex-direction: column;
    }

    .input-wrapper {
      position: relative;
      width: 200px;

    }

    .input-wrapper input {
      min-width: 120px;
      padding: 10px;
      margin-bottom: 24px;
    }

    .input-wrapper i {
      position: absolute;
      right: 25px;
      top: 30px;
      color: grey;
    }

    .btn {
      width: 150px;
    }

    .error {
      color: red;
    }
  </style>
</head>

<body>
  <form id="form" class="password-form" action="#" type="POST">
    <label class="input-wrapper">
      Ввести пароль
      <input id="firstPassword" type="password" />
      <i class="fas fa-eye icon-password"></i>
      <!-- <i class="fas fa-eye-slash icon-password"></i> -->
    </label>
    <label class="input-wrapper">
      Подтвердить пароль
      <input id="secondPassword" type="password" />
      <i class="fas fa-eye icon-password"></i>
      <!-- <i class="fas fa-eye-slash icon-password"></i> -->
    </label>
    <button id="btn" type="submit" class="btn">Подтвердить</button>
  </form>

  <script>
    document.getElementById('form').addEventListener('click', function (event) {
      if (event.target.tagName === 'I') {
        event.target.classList.toggle('fa-eye-slash');
        event.target.previousElementSibling.type === 'password' ? event.target.previousElementSibling.type = 'text' : event.target.previousElementSibling.type = 'password';
      }
    })
    function checkPassword() {
      if (document.querySelector('.error')) {
        document.querySelector('.error').remove();
      }
      const firstPassword = document.getElementById('firstPassword').value;
      const secondPassword = document.getElementById('secondPassword').value;
      if (firstPassword !== secondPassword) {
        document.body.insertAdjacentHTML("beforeend", `<p class = "error"> Нужно ввести одинаковые значения </p>`);
      } else {
        alert(`You are welcome`);
      }
    }
    document.getElementById('btn').addEventListener('click', checkPassword);
    document.getElementById('btn').addEventListener('click', (event) => {
      event.preventDefault()
    });
  </script>
</body>

</html>